//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>

#include "plugin_spi.h"
#include "ViewUnit.h"
#include "DropEdit.h"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
        TButton *ReferenceButton;
        TButton *LoadButton;
        TButton *UnloadButton;
        TTreeView *FunctionTV;
        TPanel *GetPluginInfoPanel;
        TDropEdit *SpipathDE;
        TStatusBar *StatusBar1;
        TOpenDialog *SpiOpenDialog;
        TPanel *IsSupportedPanel;
        TPanel *GetPictureInfoPanel;
        TPanel *GetPicturePanel;
        TPanel *GetArchiveInfoPanel;
        TPanel *GetFileInfoPanel;
        TPanel *GetFilePanel;
        TPanel *ConfigurationDlgPanel;
        TLabel *Label1;
        TGroupBox *GroupBox2;
        TLabel *Label8;
        TUpDown *UpDown1;
        TEdit *infonoEdit;
        TLabel *Label9;
        TEdit *buflenEdit;
        TUpDown *UpDown2;
        TButton *GetPluginInfoButton;
        TGroupBox *GroupBox1;
        TLabel *GetPluginInfoLabel;
        TLabel *Label2;
        TLabel *Label3;
        TButton *reButton;
        TDropEdit *IsSupportedDE;
        TOpenDialog *coOpenDialog;
        TLabel *Label4;
        TRadioGroup *IsSupportedRG;
        TLabel *Label5;
        TEdit *IsSupportedEdit;
        TUpDown *UpDown3;
        TGroupBox *GroupBox3;
        TLabel *Label6;
        TLabel *IsSupportedLabel;
        TButton *IsSupportedButton;
        TLabel *Label7;
        TButton *refButton;
        TDropEdit *GetPictureInfoDE;
        TLabel *Label11;
        TEdit *GetPictureInfoEdit;
        TUpDown *UpDown4;
        TGroupBox *GroupBox4;
        TEdit *GetPictureInfoflagEdit;
        TButton *GetPictureInfoflagButton;
        TLabel *bitflagLabel;
        TGroupBox *GroupBox5;
        TLabel *Label12;
        TLabel *GetPictureInfoLabel;
        TButton *GetPictureInfoButton;
        TCheckBox *GetPictureInfoCB;
        TButton *refeButton;
        TDropEdit *GetPictureDE;
        TLabel *Label16;
        TEdit *GetPictureEdit;
        TUpDown *UpDown5;
        TGroupBox *GroupBox6;
        TLabel *GetPictureflagLabel;
        TEdit *GetPictureflagEdit;
        TButton *GetPictureflagButton;
        TButton *GetPictureButton;
        TCheckBox *GetPictureCB;
        TGroupBox *GroupBox7;
        TProgressBar *GetPictureProgressBar;
        TLabel *GetPictureLabel;
        TLabel *Label17;
        TRadioButton *GetPictureRB;
        TRadioButton *GetPreviewRB;
        TLabel *Label10;
        TLabel *Label13;
        TEdit *ConfigurationDlgEdit;
        TUpDown *UpDown6;
        TButton *ConfigurationDlgButton;
        TGroupBox *GroupBox8;
        TLabel *ConfigurationDlgLabel;
        TLabel *Label15;
        TLabel *Label14;
        TDropEdit *GetArchiveInfoDE;
        TButton *referButton;
        TLabel *Label18;
        TEdit *GetArchiveInfoEdit;
        TUpDown *UpDown7;
        TGroupBox *GroupBox9;
        TLabel *GetArchiveInfoflagLabel;
        TEdit *GetArchiveInfoflagEdit;
        TButton *GetArchiveInfoflagButton;
        TGroupBox *GroupBox10;
        TLabel *Label19;
        TLabel *GetArchiveInfoLabel;
        TButton *GetArchiveInfoButton;
        TButton *refereButton;
        TDropEdit *GetFileInfoDE;
        TLabel *Label20;
        TEdit *GetFileInfoEdit;
        TUpDown *UpDown8;
        TButton *GetFileInfoButton;
        TGroupBox *GroupBox11;
        TLabel *GetFileInfoflagLabel;
        TEdit *GetFileInfoflagEdit;
        TButton *GetFileInfoflagButton;
        TGroupBox *GroupBox12;
        TLabel *Label22;
        TLabel *GetFileInfoLabel;
        TLabel *Label24;
        TComboBox *GetFileInfoComboBox;
        TLabel *Label21;
        TCheckBox *GetFileInfoCheckBox;
        TLabel *Label23;
        TButton *referenButton;
        TDropEdit *GetFileDE;
        TGroupBox *GroupBox13;
        TLabel *GetFileflagLabel;
        TEdit *GetFileflagEdit;
        TButton *GetFileflagButton;
        TButton *GetFileButton;
        TGroupBox *GroupBox14;
        TLabel *GetFileLabel;
        TLabel *Label27;
        TProgressBar *GetFileProgressBar;
        TLabel *Label25;
        TEdit *GetFileEdit;
        TCheckBox *GetFileCB;
        TButton *GetFiledestButton;
        TDropEdit *GetFiledestDE;
        TRichEdit *GetPluginInfoRE;
        TRichEdit *GetPictureInfoRE;
        TRichEdit *GetPictureRE;
        TRichEdit *GetArchiveInfoRE;
        TRichEdit *GetFileInfoRE;
        TRichEdit *GetFileRE;
        void __fastcall ReferenceButtonClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall SpipathDEDropFiles(TObject *Sender,
          char *DropFileName);
        void __fastcall LoadButtonClick(TObject *Sender);
        void __fastcall UnloadButtonClick(TObject *Sender);
        void __fastcall FunctionTVChange(TObject *Sender, TTreeNode *Node);
        void __fastcall GetPluginInfoButtonClick(TObject *Sender);
        void __fastcall reButtonClick(TObject *Sender);
        void __fastcall IsSupportedButtonClick(TObject *Sender);
        void __fastcall GetPictureInfoflagButtonClick(TObject *Sender);
        void __fastcall IsSupportedDEDropFiles(TObject *Sender,
          char *DropFileName);
        void __fastcall GetPictureInfoButtonClick(TObject *Sender);
        void __fastcall GetPictureflagButtonClick(TObject *Sender);
        void __fastcall GetPictureButtonClick(TObject *Sender);
        void __fastcall ConfigurationDlgButtonClick(TObject *Sender);
        void __fastcall GetArchiveInfoflagButtonClick(TObject *Sender);
        void __fastcall GetArchiveInfoButtonClick(TObject *Sender);
        void __fastcall GetFileInfoflagButtonClick(TObject *Sender);
        void __fastcall GetFileInfoButtonClick(TObject *Sender);
        void __fastcall GetFileflagButtonClick(TObject *Sender);
        void __fastcall GetFileButtonClick(TObject *Sender);
        void __fastcall GetFiledestButtonClick(TObject *Sender);
private:	// [U[錾
        void __fastcall SetTreeView(void) ;
        APluginSusie m_spi ;
        AnsiString __fastcall flag2bitstr(AnsiString &flagstr) ;
        AnsiString __fastcall fileInfo2str(fileInfo *pinfo) ;
        void __fastcall setDropAccept(bool flagAccept) ;
public:		// [U[錾
        __fastcall TMainForm(TComponent* Owner);
        TViewForm *ViewForm;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
 